Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class ClosureTriggerBinding

    java.lang.Object
      org.codehaus.groovy.binding.ClosureTriggerBinding

All Implemented Interfaces:
  SourceBinding, TriggerBinding

    public class ClosureTriggerBinding

Constructor Summary
`ClosureTriggerBinding(java.util.Map syntheticBindings)`

Method Summary
`FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
`Closure` | `getClosure()`
`java.lang.Object` | `getSourceValue()`
`void` | `setClosure(Closure closure)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClosureTriggerBinding

    public ClosureTriggerBinding(java.util.Map syntheticBindings)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding source, TargetBinding target)

### getClosure

    public Closure getClosure()

### getSourceValue

    public java.lang.Object getSourceValue()

### setClosure

    public void setClosure(Closure closure)

Groovy Documentation